Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.regex
Interface RegexQueryCapable

All Known Implementing Classes:
  RegexQuery, SpanRegexQuery

    public interface RegexQueryCapable

Defines methods for regular expression supporting Querys to use.

Method Summary
`RegexCapabilities` | `getRegexImplementation()`
`void` | `setRegexImplementation(RegexCapabilities impl)`

Method Detail

### setRegexImplementation

    void setRegexImplementation(RegexCapabilities impl)

### getRegexImplementation

    RegexCapabilities getRegexImplementation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD